TÍRCONNELL TEORANTA


Subcontracting

Steam API issues and ATS update

Steam API is currently reporting outdated information to our servers, therefore some users can't register in TruckersMP. There is nothing we can do since it is not a problem on our side. If you experience that, please try again later. Sorry for the inconvenience.

We are also aware of the recent ATS game update and that it is not compatible with the mod. Our devs are working to get the mod compatible again as soon as possible. To downgrade your game and play ATS click here. ETS2 is still working!

Information


Tag: Tír.
Language: English
Created: 13 Jul 15:04 UTC
Supported Games
Euro Truck Simulator 2
American Truck Simulator
Owner: MCIRELAND
Members: 1
Recruitment: Open

Rules

Latest VTC Posts

Requirement Change 1

We have update our VTC requirement listed posted in #truckers-hq on our discord! read more below

09 Sep 12:25 UTC   |   MCIRELAND

CONTACT US

Want to know more information or have a question?

By Website

Social

Requirements

No information is available at the moment

Members